// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2008
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  AvailabilityException.java
//
// Source File Description:
//
//    Need a file description.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// b11147       6.1.0.3   04/14/2008   vandersn  New part.
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.objectgrid;

/**
 *
 * An AvailabilityException is thrown when a target is not in the proper state
 * to handle a request that it receives.
 *
 * @since WAS XD 6.1.0.3
 *
 */
public class AvailabilityException extends ObjectGridRuntimeException {

    private AvailabilityState availabilityState;

    /**
     * The <code>serialVersionUID</code> for this class.
     */
    private static final long serialVersionUID = 7049920576337725518L;


    /**
     * Constructs a new AvailabilityException with <code>null</code> as its detail
     * message. The cause is not initialized, and may subsequently be initialized
     * by a call to the <code>initCause</code> method.
     *
     * @see #initCause(Throwable)
     */
    public AvailabilityException() {
        super();
    }

    /**
     * Constructs a new AvailabilityException with the specified detail message. The
     * cause is not initialized, and may subsequently be initialized by a call to
     * the <code>initCause</code> method.
     *
     * @param message
     *           the detail message. The detail message is saved for later
     *           retrieval by the <code>getMessage</code> method.
     *
     * @see #initCause(Throwable)
     * @see #getMessage()
     */
    public AvailabilityException(String message) {
        super(message);
    }

    /**
     * Constructs a new AvailabilityException with the specified detail message and
     * cause.
     * <p>
     * Note that the detail message associated with <code>cause</code> is
     * <i>not</i> automatically incorporated in this AvailabilityException's detail
     * message.
     *
     * @param message
     *           the detail message (which is saved for later retrieval by the
     *           <code>getMessage</code> method).
     * @param cause
     *           the cause (which is saved for later retrieval by the
     *           <code>getCause</code> method). (A<code>null</code> value is
     *           permitted, and indicates that the cause is nonexistent or
     *           unknown).
     *
     * @see #getCause()
     * @see #getMessage()
     */
    public AvailabilityException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * Constructs a new AvailabilityException with a specified cause.
     * The cause and a detail message of <code>(cause==null ? null : cause.toString())</code>
     * is used (which typically contains the class and detail message of <code>cause</code>).
     * This constructor is useful for AvailabilityException that are little more
     * than wrappers for other throwables.
     *
     * @param cause is the exception that caused this exception to be thrown,
     *        which is saved for later retrieval by the <code>getCause()</code> method.
     *        A <code>null</code> value is permitted and indicates that the cause
     *        is nonexistent or is unknown.
     *
     * @see #getCause()
     */
    public AvailabilityException(Throwable cause) {
        super(cause);
    }

    /**
     * @return Returns the current availability tate of the shard.
     */
    public AvailabilityState getAvailabilityState() {
        return availabilityState;
    }

    /**
     * @param availabilityState The availabilityState to set.
     */
    public void setAvailabilityState(AvailabilityState availabilityState) {
        this.availabilityState = availabilityState;
    }

}
