// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2006
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  DuplicateNameException.java
//
// Source File Description: Reference JavaDoc
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// b965         XD6.1     05/20/2006   jhanders  Add Session scoped temporary map support
package com.ibm.websphere.objectgrid;

public class DuplicateNameException extends ObjectGridException {
    /**
     * The <code>serialVersionUID</code> for this class.
     */
    private static final long serialVersionUID = 4350334857407925510L;

    /**
     * Constructs a new DuplicateNameException with <code>null</code> as its detail
     * message. The cause is not initialized, and may subsequently be initialized
     * by a call to the <code>initCause</code> method.
     * 
     * @see #initCause(Throwable)
     */
    public DuplicateNameException() {
        super();
    }

    /**
     * Constructs a new DuplicateNameException with the specified detail message. The
     * cause is not initialized, and may subsequently be initialized by a call to
     * the <code>initCause</code> method.
     * 
     * @param message
     *           the detail message. The detail message is saved for later
     *           retrieval by the <code>getMessage</code> method.
     * 
     * @see #initCause(Throwable)
     * @see #getMessage() 
     */
    public DuplicateNameException(String message) {
        super(message);
    }

    /**
     * Constructs a new DuplicateNameException with the specified detail message and
     * cause.
     * <p>
     * Note that the detail message associated with <code>cause</code> is
     * <i>not</i> automatically incorporated in this DuplicateNameException's detail
     * message.
     * 
     * @param message
     *           the detail message (which is saved for later retrieval by the
     *           <code>getMessage</code> method).
     * @param cause
     *           the cause (which is saved for later retrieval by the
     *           <code>getCause</code> method). (A<code>null</code> value is
     *           permitted, and indicates that the cause is nonexistent or
     *           unknown).
     * 
     * @see #getCause()
     * @see #getMessage() 
     */
    public DuplicateNameException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * Constructs a new DuplicateNameException with a specified cause.
     * The cause and a detail message of <code>(cause==null ? null : cause.toString())</code> 
     * is used (which typically contains the class and detail message of <code>cause</code>).
     * This constructor is useful for DuplicateNameExceptions that are little more
     * than wrappers for other throwables.
     * 
     * @param cause is the exception that caused this exception to be thrown,
     *        which is saved for later retrieval by the <code>getCause()</code> method.
     *        A <code>null</code> value is permitted and indicates that the cause 
     *        is nonexistent or is unknown.
     * 
     * @see #getCause()
     */
    public DuplicateNameException(Throwable cause) {
        super(cause);
    }

}
