// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2005,2006
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// 1.5 XD/ws/code/objectgrid/src/com/ibm/websphere/objectgrid/LockDeadlockException.java, WAS.objectgrid, WASX.XD, b0614.107 2/14/06 17:21:16
//
// Module  :  LockDeadlockException.java
//
// Source File Description:
//
//    Need a file description.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// XD60_M2_B.25  WASX.XD   03/04/2005  kjlaw     new code drop
// 283173        WASX.XD   06/12/2005  kjlaw     get/setLockRequestQueueDetails methods.
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.objectgrid;

/**
 * <p>This exception is used by the lock manager to indicate that it detected a deadlock.
 * It prevents the deadlock by throwing this exception.  Typically,
 * this deadlock is a result of the following scenario: one transaction owns a
 * weaker lock as a result of getting a map entry, and then, at commit time,
 * the transaction attempts to promote the weaker lock to a stronger
 * lock in order to apply the changes to the data store.
 * For example, two transactions try to promote from shared locks to
 * exclusive locks but each transaction already owns a shared lock. </p>
 *
 * @since WAS XD 6.0, XC10
 */
public class LockDeadlockException extends LockTimeoutException
{
    /**
     * The <code>serialVersionUID</code> for this class.
     */
    private static final long serialVersionUID = 4220263513660488784L;

    /**
     * Constructs a new LockDeadlockException with <code>null</code> as its detail
     * message. The cause is not initialized, and may subsequently be initialized
     * by a call to the <code>initCause</code> method.
     *
     * @see #initCause(Throwable)
     */
    public LockDeadlockException() {
        super();
    }

    /**
     * Constructs a new LockDeadlockException with the specified detail message. The
     * cause is not initialized, and may subsequently be initialized by a call to
     * the <code>initCause</code> method.
     *
     * @param message
     *           the detail message. The detail message is saved for later
     *           retrieval by the <code>getMessage</code> method.
     *
     * @see #initCause(Throwable)
     * @see #getMessage()
     */
    public LockDeadlockException(String message) {
        super(message);
    }
}
