/*
 * IBM Confidential OCO Source Material
 * 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2012
 * The source code for this program is not published or otherwise divested
 * of its trade secrets, irrespective of what has been deposited with the
 * U.S. Copyright Office.
 *
 * $HeadURL$
 * $Id$
 *
 * Change Activity:
 *
 * Reason       Version   Date         Userid    Change Description
 * ------------ --------- ------------ --------- ---------------------------------------
 */
package com.ibm.websphere.objectgrid;

/**
 * Specifies which lock mode to use to lock a key.
 * 
 * @since 8.6
 * @see ObjectMap#lock(Object, LockMode)
 * @see ObjectMap#lockAll(java.util.List, LockMode)
 */
public enum LockMode {
    /**
     * Shared lock that can be obtained if no one is currently holding an exclusive lock.
     */
    SHARED, 
    /**
     * Upgradable lock that can be obtained if no one is currently holding an upgradable or exclusive lock.
     */
    UPGRADABLE, 
    /**
     * Exclusive lock that can only be obtained if no one else is currently hold a lock.
     */
    EXCLUSIVE
}
