// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2012
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  MixedTransportException.java
//
// Source File Description:
//
//    Need a file description.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// b11225       8.6       08/16/2012   kristip   Exception when we're trying to run XIO and ORB together

package com.ibm.websphere.objectgrid;

/**
 * Used when servers are mixing transport. For exxample, a catalog servers uses XIO and
 * containers start with ORB.
 * 
 * @author kristip
 *
 */
public class MixedTransportException extends ObjectGridRuntimeException {

    /**
     * 
     */
    private static final long serialVersionUID = 8896802346510678559L;

    /**
     * Constructs a new MixedTransportException with <code>null</code> as its detail
     * message. The cause is not initialized, and may subsequently be initialized
     * by a call to the <code>initCause</code> method.
     *
     * @see #initCause(Throwable)
     */
    public MixedTransportException() {
        super();
    }
    
    /**
     * Constructs a new MixedTransportException with the specified detail message. The
     * cause is not initialized, and may subsequently be initialized by a call to
     * the <code>initCause</code> method.
     *
     * @param message
     *           the detail message. The detail message is saved for later
     *           retrieval by the <code>getMessage</code> method.
     *
     * @see #initCause(Throwable)
     * @see #getMessage()
     */
    public MixedTransportException(String message) {
        super(message);
    }

}
