// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2005,2006
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// 1.2 XD/ws/code/objectgrid/src/com/ibm/websphere/objectgrid/UnavailableServiceException.java, WAS.objectgrid, WASX.XD, b0614.107 2/14/06 17:25:54
//
// Module  :  UnavailableServiceException.java
//
// Source File Description:
//
//    Need a file description.
//
// Change Activity:
//
// Reason      Version      Date       Userid    Change Description
// ----------- --------- ------------ --------- -----------------------------------------
// XD601        WASX.XD   08/20/2005   haowang   new
// ----------- --------- ------------ --------- -----------------------------------------

package com.ibm.websphere.objectgrid;

import com.ibm.websphere.objectgrid.plugins.LoaderException;

/**
 * This exception is thrown when all servers are dead or when all services are unavailable
 * even though servers are running.
 *
 * @since WAS XD 6.0.1, XC10
 */
public class UnavailableServiceException extends LoaderException {

    /**
     * The <code>serialVersionUID</code> for this class.
     */
    private static final long serialVersionUID = 6246666158621555323L;

    /**
     * Replication group ID
     */
    int replicationGroup;

    /**
     * Constructs a new UnavailableServiceException with <code>null</code> as its detail
     * message. The cause is not initialized, and may subsequently be initialized
     * by a call to the <code>initCause</code> method.
     *
     * @see #initCause(Throwable)
     */
    public UnavailableServiceException() {
        super();
    }

    /**
     * Constructs a new UnavailableServiceException with the specified detail message. The
     * cause is not initialized, and may subsequently be initialized by a call to
     * the <code>initCause</code> method.
     *
     * @param message
     *           the detail message. The detail message is saved for later
     *           retrieval by the <code>getMessage</code> method.
     *
     * @see #initCause(Throwable)
     * @see #getMessage()
     */
    public UnavailableServiceException(String message) {
        super(message);
    }

    /**
     * Constructs a new UnavailableServiceException with the specified detail message and
     * cause.
     * <p>
     * Note that the detail message associated with <code>cause</code> is
     * <i>not</i> automatically incorporated in this UnavailableServiceException's detail
     * message.
     *
     * @param message
     *           the detail message (which is saved for later retrieval by the
     *           <code>getMessage</code> method).
     * @param cause
     *           the cause (which is saved for later retrieval by the
     *           <code>getCause</code> method). (A<code>null</code> value is
     *           permitted, and indicates that the cause is nonexistent or
     *           unknown).
     *
     * @see #getCause()
     * @see #getMessage()
     */
    public UnavailableServiceException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * Constructs a new UnavailableServiceException with a specified cause.
     * The cause and a detail message of <code>(cause==null ? null : cause.toString())</code>
     * is used (which typically contains the class and detail message of <code>cause</code>).
     * This constructor is useful for UnavailableServiceExceptions that are little more
     * than wrappers for other throwables.
     *
     * @param cause is the exception that caused this exception to be thrown,
     *        which is saved for later retrieval by the <code>getCause()</code> method.
     *        A <code>null</code> value is permitted and indicates that the cause
     *        is nonexistent or is unknown.
     *
     * @see #getCause()
     */
    public UnavailableServiceException(Throwable cause) {
        super(cause);
    }

    /**
     * Returns the replication group identifier for this exception.
     *
     * @return   the argument that was passed to the <code>setReplicationGroup(int)</code>
     *           method of this class or <code>0</code> if the
     *           <code>setReplicationGroup</code> method was not previously called for this object.
     *
     * @see #setReplicationGroup(int)
     */
    public int getReplicationGroup() {
        return replicationGroup;
    }

    /**
     * Sets the replication group identifier for this exception.
     *
     * @param replicationGroup The replication group identifier
     */
    public void setReplicationGroup(int replicationGroup) {
        this.replicationGroup = replicationGroup;
    }
}
