/*
 * IBM Confidential OCO Source Material
 * 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2008
 * The source code for this program is not published or otherwise divested
 * of its trade secrets, irrespective of what has been deposited with the
 * U.S. Copyright Office.
 *
 * $HeadURL$
 * $Id$
 *
 * Change Activity:
 *
 * Reason       Version     Date         Userid    Change Description
 * ------------ ----------- ------------ --------- ---------------------------------------
 *              XD 6.1.0.5  10/21/08     vandersn  file creation
 */
package com.ibm.websphere.objectgrid.catalog;

import com.ibm.websphere.objectgrid.ObjectGridRuntimeException;

/**
 * A general exception indicating a placement related problem was detected.
 *
 * @since WAS XD 6.1.0.5
 */

public class PlacementException extends ObjectGridRuntimeException{

    /**
     *
     */
    private static final long serialVersionUID = -6837774297127163942L;

    /**
     * Constructs a new PlacementException with <code>null</code> as its detail
     * message. The cause is not initialized, and may subsequently be initialized
     * by a call to the <code>initCause</code> method.
     *
     * @see #initCause(Throwable)
     */
    public PlacementException() {

    }

    /**
     * Constructs a new PlacementException with the specified detail message. The
     * cause is not initialized, and may subsequently be initialized by a call to
     * the <code>initCause</code> method.
     *
     * @param message
     *           the detail message. The detail message is saved for later
     *           retrieval by the <code>getMessage</code> method.
     *
     * @see #initCause(Throwable)
     * @see #getMessage()
     */
    public PlacementException(String message) {
        super(message);
    }

    /**
     * Constructs a new PlacementException with a specified cause.
     * The cause and a detail message of <code>(cause==null ? null : cause.toString())</code>
     * is used (which typically contains the class and detail message of <code>cause</code>).
     * This constructor is useful for PlacementException that are little more
     * than wrappers for other throwables.
     *
     * @param cause is the exception that caused this exception to be thrown,
     *        which is saved for later retrieval by the <code>getCause()</code> method.
     *        A <code>null</code> value is permitted and indicates that the cause
     *        is nonexistent or is unknown.
     *
     * @see #getCause()
     */
    public PlacementException(Throwable cause) {
        super(cause);
    }

    /**
     * Constructs a new PlacementException with the specified detail message and
     * cause.
     * <p>
     * Note that the detail message associated with <code>cause</code> is
     * <i>not</i> automatically incorporated in this PlacementException detail
     * message.
     *
     * @param message
     *           the detail message (which is saved for later retrieval by the
     *           <code>getMessage</code> method).
     * @param cause
     *           the cause (which is saved for later retrieval by the
     *           <code>getCause</code> method). (A <code>null</code> value is
     *           permitted, and indicates that the cause is nonexistent or
     *           unknown).
     *
     * @see #getCause()
     * @see #getMessage()
     */
    public PlacementException(String message, Throwable cause) {
        super(message, cause);
    }
}
