// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2009
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  ObjectGridConfigurationException.java
//
// Source File Description:
//
//    Need a file description.
//
// Change Activity:
//
// Reason    Version   Date         Userid     Change Description
// --------- --------- ------------ ---------- -----------------------------------------
// b12271    7.0       04/09/2009   schmittm   New File
// --------- --------- ------------ ---------  ------------------------------------------
package com.ibm.websphere.objectgrid.config;

import com.ibm.websphere.objectgrid.ObjectGridException;

/**
 * Thrown when a problem with the current configuration is found.  This exception may be thrown when
 * the configuration specified in the deployment policy,  ObjectGrid descriptor or security descriptor is
 * incorrect.
 *
 * @since 7.0, XC10
 */

public class ObjectGridConfigurationException extends ObjectGridException {

    /**
     * The <code>serialVersionUID</code> for this class.
     */
	private static final long serialVersionUID = -7432054971265660744L;

	/**
	  * Constructs a new ObjectGridConfigurationException with <code>null</code> as its detail
	  * message. The cause is not initialized, and may subsequently be initialized
	  * by a call to the <code>initCause</code> method.
	  *
	  * @see #initCause(Throwable)
	  */
		public ObjectGridConfigurationException()
	 {
	     super();
	 }

	 /**
	  * Constructs a new ObjectGridConfigurationException with the specified detail message. The
	  * cause is not initialized, and may subsequently be initialized by a call to
	  * the <code>initCause</code> method.
	  *
	  * @param message
	  *           the detail message. The detail message is saved for later
	  *           retrieval by the <code>getMessage</code> method.
	  *
	  * @see #initCause(Throwable)
	  * @see #getMessage()
	  */
	 public ObjectGridConfigurationException(String message)
	 {
	     super(message);
	 }

	 /**
	  * Constructs a new ObjectGridConfigurationException with a specified cause.
	  * The cause and a detail message of <code>(cause==null ? null : cause.toString())</code>
	  * is used (which typically contains the class and detail message of <code>cause</code>).
	  * This constructor is useful for ObjectGridConfigurationException that are little more
	  * than wrappers for other throwables.
	  *
	  * @param cause is the exception that caused this exception to be thrown,
	  *        which is saved for later retrieval by the <code>getCause()</code> method.
	  *        A <code>null</code> value is permitted and indicates that the cause
	  *        is nonexistent or is unknown.
	  *
	  * @see #getCause()
	  */
	 public ObjectGridConfigurationException(Throwable cause)
	 {
	     super(cause);
	 }

	 /**
	  * Constructs a new ObjectGridConfigurationException with the specified detail message and
	  * cause.
	  * <p>
	  * Note that the detail message associated with <code>cause</code> is
	  * <i>not</i> automatically incorporated in this ObjectGridConfigurationException's detail
	  * message.
	  *
	  * @param message
	  *           the detail message (which is saved for later retrieval by the
	  *           <code>getMessage</code> method).
	  * @param cause
	  *           the cause (which is saved for later retrieval by the
	  *           <code>getCause</code> method). (A<code>null</code> value is
	  *           permitted, and indicates that the cause is nonexistent or
	  *           unknown).
	  *
	  * @see #getCause()
	  * @see #getMessage()
	  */
	 public ObjectGridConfigurationException(String message, Throwable cause)
	 {
	     super(message, cause);
	 }
}
