// IBM Confidential OCO Source Material
//
// 5724-J34 COPYRIGHT International Business Machines Corp. 2005, 2006, 2007
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  EntityAgentMixin.java
//
// Source File Description: 
//
//    Need a file description.
//
// Change Activity:
//
// Reason    Version   Date         Userid    Change Description
// --------- --------- ------------ --------- -----------------------------------------
// b9168        XD6.1     07/19/2007   cdjohnson Fix javadoc.
//
//
package com.ibm.websphere.objectgrid.datagrid;

/**
 * This interface can be implemented by an agent. If the BackingMap is associated with an entity, then
 * a collection of entities will be provided to the agent for each found key.  If the key cannot be found, then
 * the Tuple that represents the entity's key is provided.
 * 
 * @see MapGridAgent
 * @see ReduceGridAgent
 * @since WAS XD 6.1
 */
public interface EntityAgentMixin 
{
	/**
	 * This method returns the class to be used instead of the key object when the
	 * agent action methods are called. This method is only relevant on the 'server' side
	 * The client can use any annotated Java object independent of the server one.
	 * @return The Class of an Entity to use.
	 */
	Class getClassForEntity();
}
