/*
* IBM Confidential OCO Source Material
* 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2007
* The source code for this program is not published or otherwise divested
* of its trade secrets, irrespective of what has been deposited with the
* U.S. Copyright Office.
*
* $HeadURL$
* $Id$
*
* Change Activity:
*
* Reason       Version   Date         Userid    Change Description
* ------------ --------- ------------ --------- ---------------------------------------
* b9388                  10/01/2007   vandersn  additional zone support
* ------------ --------- ------------ --------- ---------------------------------------
*/

package com.ibm.websphere.objectgrid.deployment;


/**
 * A ShardMapping is used to associate a shard with a ZoneRule.<p>
 * 
 * When leveraging ShardMappings, each shard in the partition must have a ShardMapping defined.  
 * 
 * @see MapSet#addShardMapping(ShardMapping)
 *
 * @since WAS XD 6.1 FIX3
 */
public interface ShardMapping {

    /**
     * Get the type of shard that this mapping represents.
     * @return the ShardType for this ShardMapping
     * @see ShardType#PRIMARY
     * @see ShardType#SYNCHRONOUS_REPLICA
     * @see ShardType#ASYNCHRONOUS_REPLICA
     */
    public ShardType getShardType();

    /**
     * Get the ZoneRule associated with this ShardMapping.
     * @return the ZoneRule this ShardMapping utilizes
     */
    public ZoneRule getZoneRule();


}
