// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2006
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  OptimisticLockException.java
//
// Source File Description:
//
//    See javadoc.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// b11433       6.1.0.3   05/05/2008   cdjohnson EntityManager.merge() Feature
// ---------------------------------------------------------------------------------------
package com.ibm.websphere.objectgrid.em;

/**
 * Thrown when there is an optimistic collision when merging, flushing or committing
 * an entity that has an out of date version mismatch.
 * @since WAS XD 6.1.0.3
 */
public class OptimisticLockException extends PersistenceException {

    private static final long serialVersionUID = 6034156859247028729L;

    /**
     * @see PersistenceException#PersistenceException()
     */
    public OptimisticLockException() {
        super();
    }

    /**
     * @see PersistenceException#PersistenceException(String)
     */
    public OptimisticLockException(String message) {
        super(message);
    }

    /**
     * @see PersistenceException#PersistenceException(String, Throwable)
     */
    public OptimisticLockException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * @see PersistenceException#PersistenceException(Throwable)
     */
    public OptimisticLockException(Throwable cause) {
        super(cause);
    }
}
