// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2006, 2007
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  RollbackException.java
//
// Source File Description:
//
//    See javadoc.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// b1593        6.1       07/27/2006   cdjohnson M4 feature additions
// ---------------------------------------------------------------------------------------
package com.ibm.websphere.objectgrid.em;

/**
 * Thrown when <code>EntityTransaction.commit()</code> fails.
 * @see com.ibm.websphere.objectgrid.em.EntityTransaction#commit()
 * @since WAS XD 6.1
 */
public class RollbackException extends PersistenceException {

    private static final long serialVersionUID = -2072129625681983500L;

    /**
     * @see PersistenceException#PersistenceException()
     */
    public RollbackException() {
        super();
    }

    /**
     * @see PersistenceException#PersistenceException(String)
     */
    public RollbackException(String message) {
        super(message);
    }

    /**
     * @see PersistenceException#PersistenceException(String, Throwable)
     */
    public RollbackException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * @see PersistenceException#PersistenceException(Throwable)
     */
    public RollbackException(Throwable cause) {
        super(cause);
    }
}
