// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2006,2009
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  CompositeIndex.java
//
// Source File Description:
//
//    See javadoc.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// b13527       XD 6105   01/13/2008   cheng1    composite index support
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.objectgrid.em.annotations;

import static java.lang.annotation.RetentionPolicy.RUNTIME;

import java.lang.annotation.Retention;

/**
 * Used in conjunction with the {@link CompositeIndexes} annotation, the CompositeIndex annotation
 * defines an index that has multiple attributes associated with it.
 *
 * @see CompositeIndexes
 * @since 7.0
 */

@Retention(RUNTIME)
public @interface CompositeIndex {

    /**
     * The name of the composite index. If the index does not exist, then one will be created.
     *
     * @return the name of the index
     */
    public String name() default ""; // generate one if name is empty

    /**
     * A comma-delimited list of attribute names that make up the composite index.  For example:
     * "state,city,zip".
     *
     * @return the comma-delimited list of attribute names to included in the index.
     */
    public String attributeNames();

}
