// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2011
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $HeadURL$
// $Id$
//
// Source File Description:
//
//    Need a file description.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// b21871       XS7.1.1   01/11/2011   jian.tang eXtreme Scale OSGi Support
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.objectgrid.osgi;

import java.lang.reflect.Proxy;

import com.ibm.ws.xs.osgi.service.XSServiceHandler;

/**
 * A helper class for the OSGi service proxy.
 *
 * @since 7.1.1
 *
 */
public class ProxyHelper {

    /**
     * Get the real object from the proxy object.
     * @param proxy the eXtreme Scale OSGi bean proxy.
     * @return the real object.  Must not be null.
     * @throws IllegalArgumentException if the proxy object is not an OSGi proxy object created by eXtreme Scale.
     */
    static public Object getRealObject(Object proxy) throws IllegalArgumentException {
        if (proxy == null) {
            throw new IllegalArgumentException("Proxy object cannot be null.");
        }

        if (proxy instanceof Proxy) {
            Object handler = Proxy.getInvocationHandler(proxy);
            if (!(handler instanceof XSServiceHandler)) {
                throw new IllegalArgumentException("The invocationHandler of the Proxy object : " + proxy
                        + " is not a XS Service Handle. Its type is " + handler.getClass().getName());
            }
            return ((XSServiceHandler) handler).getDelegate();
        }

        throw new IllegalArgumentException("Unrecgonized Proxy object : " + proxy + " with type "
                + proxy.getClass().getName());

    }
}
