// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2005,2006
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// 1.4 XD/ws/code/objectgrid/src/com/ibm/websphere/objectgrid/plugins/LogSequenceFilter.java, WAS.objectgrid, WASX.XD, b0614.107 2/14/06 17:23:04
//
// Module  :  LogSequenceFilter.java
//
// Source File Description: 
//
//    See javadoc for this class.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// XD60_M4_B.17 WASX      Jun 2, 2005  sutter    New code drop
// ------------ --------- ------------ --------- -----------------------------------------

package com.ibm.websphere.objectgrid.plugins;

/**
 * This interface can be used to filter a LogSequence.  As an operation,
 * such as serialization, needs to know whether a given LogElement should be
 * included or not, this callback object will be used for the boolean
 * check.  If the given LogElement should be used in the operation, then
 * "true" should be returned.  If the given LogElement should not be used,
 * then "false" should be returned.  This interface is primarily used
 * by the <code>serialize</code> method of the 
 * <code>LogSequenceTransformer</code> class.
 * 
 * @since WAS XD 6.0, XC10
 */
public interface LogSequenceFilter {

    /**
     * Returns true if the given LogElement should be used; false if the 
     * given LogElement should not be used.
     * 
     * @param logElement the LogElement to be filtered
     * 
     * @return true if the given LogElement should be used in 
     * the operation; false otherwise.
     */
    public boolean accept (LogElement logElement);
}
