// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2011
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  Association.java
//
// Source File Description: Reference JavaDoc
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// b22183       7.1.1      2/22/2011   cdjohnson Creation, new code.
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.objectgrid.plugins.io.datadescriptor;

/**
 * An association between two maps.  Associations are set on the {@link MapDataDescriptor}.
 * Use the {@link DataDescriptorFactory#createAssociation()} methods to create an Association instance.
 * @since 7.1.1
 * @see MapDataDescriptor
 */
public interface Association  {
    /**
     * Retrieves the name of the attribute.
     *
     * @return the name of the attribute or null if not yet set.
     */
    public String getAttributeName();

    /**
     * Sets the name of the attribute.<p>
     *
     * Attributes names must include letters, digits and the underscore '_' character.  Spaces and special characters are not permitted.
     *
     * @param attributeName the name of the attribute.  Must not be null.
     * @throws IllegalStateException if the attribute has been initialized.
     */
    public void setAttributeName(String attributeName);

    /**
     * Retrieves name of the associated map.
     * @return the name of the associated map.
     */
    public String getTargetMapName();

    /**
     * The name of the associated map.
     * @param mapName the name of the associated map.
     * @throws IllegalStateException if the association has been initialized.
     */
    public void setTargetMapName(String mapName);
}
