// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2011
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  EmbeddedType.java
//
// Source File Description: Reference JavaDoc
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// b22183       7.1.1      2/22/2011   cdjohnson Creation, new code.
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.objectgrid.plugins.io.datadescriptor;

import java.util.Map;

import com.ibm.websphere.objectgrid.plugins.Initializable;

/**
 * An EmbeddedType represents a nested, complex object.
 * @since 7.1.1
 */
public interface EmbeddedType extends Initializable {

    /**
     * Retrieve all Attributes defined for this DataDescriptor.
     * @return a Map of attribute names to the Attribute definition.
     * The attribute map will be read-only if the descriptor has been initialized.
     */
    public Map<String, Attribute> getAttributes();

    /**
     * Set the Map of attribute names to the Attribute definition.
     * @param attributes the Map of attribute names to the Attribute definition.
     * @throws IllegalStateException if the descriptor has been initialized.
     */
    public void setAttributes(Map<String, Attribute> attributes);
}
