// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2011
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  DataObjectKey.java
//
// Source File Description: Reference JavaDoc
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// b22183       7.1.1      2/22/2011   cdjohnson Creation, new code.
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.objectgrid.plugins.io.dataobject;

/**
 * Interface for all key data object wrappers.
 * @since 7.1.1
 */
public interface DataObjectKey extends DataObjectEntry {

    /**
     * Return the hashCode() for the key's identity.  This is equivalent to using
     * a {@link com.ibm.websphere.objectgrid.plugins.io.KeySerializerPlugin} to calculate the hash code.
     * @return the hash code of the key's identity.
     * @throws IllegalStateException if {@link DataObjectContextAware#getContext()} answers null.
     */
    public int hashCode();

    /**
     * Answers true if the his key is equivalent to another key in KeyBytes format.  This
     * is equivalent to using a {@link com.ibm.websphere.objectgrid.plugins.io.KeySerializerPlugin} to test the key for equality.
     * @param o the KeyBytes key.
     * @return true if the keys have the same identity.
     * @throws IllegalStateException if {@link DataObjectContextAware#getContext()} answers null.
     */
    public boolean equals(Object o);
}
