// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2005,2006
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// 1.3 XD/ws/code/objectgrid/src/com/ibm/websphere/objectgrid/security/AnonymousPrincipal.java, WAS.objectgrid, WASX.XD, b0614.107 2/14/06 17:23:51
//
// Module  :  AnonymousPrincipal.java
//
// Source File Description: 
//
// Need a file description.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// XD601_M3_Bx  WASX.XD   11/15/2005   jitang    ObjectGrid security support
// PK17543      WASX.XD   01/11/2006   jitang    Update JavaDoc
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.objectgrid.security;

import java.security.Principal;

/**
 * This Principal class represents an anonymous user.
 * 
 * @since WAS XD 6.0.1
 */
public final class AnonymousPrincipal implements Principal {

    /**
     * A string representing the anonymous user's name.
     */
    public final static String ANONYMOUS_NAME = "anonymous";

    private final static AnonymousPrincipal singleton = new AnonymousPrincipal();

    /**
     * Gets an AnonymousPrincipal instance
     * 
     * @return the singleton AnonymousPrincipal object
     */
    public static AnonymousPrincipal getSingleton() {
        return singleton;
    }

    /**
     * Constructs an AnonymousPrincipal
     */
    private AnonymousPrincipal() {
        super();
    }

    /**
     * Returns the name of this principal.
     *
     * @return the name of this principal.
     * 
     * @see #ANONYMOUS_NAME
     */
    public String getName() {
        return ANONYMOUS_NAME;
    }
}

