// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2006,2008
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  EntityExistsException.java
//
// Source File Description:
//
//    See javadoc.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// b1591        6.1       07/24/2006   cdjohnson M4 feature additions
// b11993       6.1.0.3   05/08/2008   cdjohnson Move to public package
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.projector;

/**
 * Thrown by the ObjectGraph or TupleStore when an entity persisted into the graph or
 * inserted into the TupleStore is a duplicate.
 * @since WAS XD 6.1.0.3
 */
public class EntityExistsException extends ProjectorException {

    private static final long serialVersionUID = 3466655524895170335L;

    /**
     * @see ProjectorException#ProjectorException()
     */
    public EntityExistsException() {
        super();
    }

    /**
     * @see ProjectorException#ProjectorException(String)
     */
    public EntityExistsException(String message) {
        super(message);
    }

    /**
     * @see ProjectorException#ProjectorException(Throwable)
     */
    public EntityExistsException(Throwable cause) {
        super(cause);
    }

    /**
     * @see ProjectorException#ProjectorException(String, Throwable)
     */
    public EntityExistsException(String message, Throwable cause) {
        super(message, cause);
    }
}
