// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2008
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  OptimisticLockException.java
//
// Source File Description:
//
//    See javadoc.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// b11993       6.1.0.3   05/08/2008   cdjohnson Add version detection for merge
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.projector;



/**
 * Thrown when there is an optimistic collision when merging, flushing or committing
 * an entity that has an out of date version.
 * @since WAS XD 6.1.0.3
 */
public class OptimisticLockException extends ProjectorException
{
    /**
     * The <code>serialVersionUID</code> for this class.
     */
    private static final long serialVersionUID = 7086716361569938794L;

    /**
     * @see ProjectorException#ProjectorException()
     */
    public OptimisticLockException() {
        super();
    }

    /**
     * @see ProjectorException#ProjectorException(String)
     */
    public OptimisticLockException(String message) {
        super(message);
    }

    /**
     * @see ProjectorException#ProjectorException(Throwable)
     */
    public OptimisticLockException(Throwable cause) {
        super(cause);
    }

    /**
     * @see ProjectorException#ProjectorException(String, Throwable)
     */
    public OptimisticLockException(String message, Throwable cause) {
        super(message, cause);
    }
}