//IBM Confidential OCO Source Material
//5724-J34 (C) COPYRIGHT International Business Machines Corp. 2008
//The source code for this program is not published or otherwise divested
//of its trade secrets, irrespective of what has been deposited with the
//U.S. Copyright Office.
//
//$Id$
//
//Module  :  Projector.java
//
//Source File Description:
//
//    See javadoc.
//
//Change Activity:
//
//Reason       Version   Date         Userid    Change Description
//------------ --------- ------------ --------- -----------------------------------------
// b13144      6.1.0.5   09/18/2008   schmittm  new file
//------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.projector;

import com.ibm.websphere.projector.md.EntityMetadata;

/**
 * The Projector is used to convert entities to Tuple objects.
 *
 * @since WAS XD 6.1.0.5
 */
public interface Projector {

    /**
     * Convert the specified entity object to a key or value Tuple using the specified EntityMetadata.  The EntityMetadata must match
     * the EntityMetadata for the entity type.<p>
     *
     * Key tuples should not be changed once retrieved.  Multiple requests for a key tuple from the same entity
     * instance may result in the same tuple instance.<p>
     *
     * Value tuples are always copies and the values within the tuples are also copies of the objects stored in the entities.
     *
     * @param entity The entity to be converted
     * @param emd The <code>EntityMetadata</code> for the entity.
     * @param key if true, return a tuple that represents the key portion of the entity.  If false, return the value portion of the entity.
     * @return a converted <code>Tuple</code>
     */
    public Tuple getTupleFromEntity(Object entity, EntityMetadata emd, boolean key);
}
