// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2006
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  Id.java
//
// Source File Description:
//
//    See javadoc.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// b995         6.1       05/22/2006   cdjohnson New part.
// b2404        XD 6.1    09/20/2006   cdjohnson Feature updates for M6
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.projector.annotations;

import static java.lang.annotation.ElementType.FIELD;
import static java.lang.annotation.ElementType.METHOD;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

import java.lang.annotation.Retention;
import java.lang.annotation.Target;

/**
 * Specifies the primary key property or field of an entity.  An entity may have
 * one or more key attributes.
 *
 * @since WAS XD 6.1
 */
@Target({FIELD, METHOD})
@Retention(RUNTIME)
public @interface Id {
    /**
     * The alternative name for this attribute.  The alias can be used to map
     * one entity to another or override the default property name behavior
     * in legacy objects. It can also be used to refer to this attribute in queries.
     * @return the alias name.
     */
    String alias() default "";
}
