// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2006
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  Version.java
//
// Source File Description:
//
//    See javadoc.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// b2204        6.1       05/22/2006   rajeshk   New part.
// b9365        XD6.1     08/10/2007   cdjohnson Clean-up javadoc
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.projector.annotations;

import static java.lang.annotation.ElementType.FIELD;
import static java.lang.annotation.ElementType.METHOD;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

import java.lang.annotation.Retention;
import java.lang.annotation.Target;

/**
 * Identifies a field or method as a version attribute.  A version attribute
 * is used with optimistic locking to allow fast and efficient concurrency
 * control.<p>
 *
 * The state of the version field may be accessed by the entity, but never modified.  The
 * version value is modified by the underlying TupleStore.<p>
 *
 * Valid attribute types include: int, Integer, short, Short, long, Long and Timestamp.<p>
 *
 * Only one version attribute is allowed per entity definition.
 *
 * @since WAS XD 6.1
 */
@Target({FIELD, METHOD}) @Retention(RUNTIME)
public @interface Version {}
